httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pier Fumagalli <p...@betaversion.org>
Subject Re: MacOS X 10.1.2 libtool
Date Wed, 10 Jul 2002 15:58:10 GMT
"dirkx@covalent.net" <dirkx@covalent.net> wrote:

> 
> Any one seen this error, on a pristine MacOS X 10.1.2 machine with a
> freshly cut 2.0.39:
> 
> cd httpd-2.0.39
> ./configure --prefix=/foo
> make && make install
> cd ../test
> apxs -c mod_foo.c
> ....
> and then just before then end one gets:
> 
> /foo/runtime/build/libtool --silent --mode=link cc -o
> mod_auth_pam.la -rpath /Users/dirkx/ORA/runtime/modules -module
> -avoid-version -I/usr/local/include  -L/usr/local/lib  mod_auth_pam.lo
> -lpam
> /foo/runtime/build/libtool: parse error: condition expected: xyes = [3183]
> /foo/runtime/mod_auth_pam-1.1/apache-2.0/.libs
> SH_LIBTOOL='/foo/runtime/build/libtool' mod_auth_pam.la
> ...
> 
> But.. this does result in a functional module.
> 
> To add to the insult: running apxs or buildtool with 'sh -x script' in an
> attempt to trace this error makes the error vanish in thin air.

Libtool shipped with MAC doesn't actually produce a MH_BUNDLE dylib... Use
mine http://www.apache.org/~pier/macosx/

    Pier


Mime
View raw message